unit ExampleMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, WizardTree, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    WizardTree1: TWizardTree;
    Panel2: TPanel;
    Panel3: TPanel;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
    TabSheet6: TTabSheet;
    TabSheet7: TTabSheet;
    btnCancel: TButton;
    btnNext: TButton;
    btnBack: TButton;
    Button1: TButton;
    procedure WizardTree1Change(Sender: TObject);
    procedure PageControl1Change(Sender: TObject);
    procedure btnNextClick(Sender: TObject);
    procedure btnBackClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.WizardTree1Change(Sender: TObject);
begin
  PageControl1.ActivePage := PageControl1.Pages[ WizardTree1.ItemIndex ];
  btnNext.Enabled := PageControl1.ActivePage.PageIndex < Pred( PageControl1.PageCount );
  btnBack.Enabled := PageControl1.ActivePage.PageIndex > 0;
end;

procedure TForm1.PageControl1Change(Sender: TObject);
begin
  WizardTree1.ItemIndex := PageControl1.ActivePage.PageIndex;
  btnNext.Enabled := PageControl1.ActivePage.PageIndex < Pred( PageControl1.PageCount );
  btnBack.Enabled := PageControl1.ActivePage.PageIndex > 0;
end;

procedure TForm1.btnNextClick(Sender: TObject);
begin
  PageControl1.SelectNextPage( True );
end;

procedure TForm1.btnBackClick(Sender: TObject);
begin
  PageControl1.SelectNextPage( False );
end;

procedure TForm1.btnCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  PageControl1.ActivePage := PageControl1.Pages[ Pred( PageControl1.Pagecount ) ];
  PageControl1Change( PageControl1 );
end;

end.
